package com.jxy.system.api.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jxy.common.core.web.entity.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * @Description 系统访问记录表实体类
 * @Date 2022/5/11 10:40
 * @Author 杜懿
 */
@Data
public class SysLogininfor extends BaseEntity {

    private static final long serialVersionUID = 3217638467115846123L;

    /** ID */
    private Long infoId;

    /** 用户账号 */
    private String userName;

    /** 状态 0成功 1失败 */
    private String status;

    /** 地址 */
    private String ipaddr;

    /** 描述 */
    private String msg;

    /** 访问时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date accessTime;
}
