package com.jxy.gateway.service;

import com.jxy.common.core.exception.CaptchaException;
import com.jxy.common.core.web.Result.AjaxResult;

import java.io.IOException;

/**
 * @Description 验证码处理
 * @Date 2022/5/17 9:16
 * @Author 杜懿
 */
public interface ValidateCodeService {

    /**
     * 生成验证码
     */
    public AjaxResult createCaptcha() throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    public void checkCaptcha(String key, String value) throws CaptchaException;

}
