package com.jxy.file;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.jxy.common.swagger.annotation.EnableCustomSwagger2;

/**
 * 文件服务
 *
 * @author jxy
 */
@EnableCustomSwagger2
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
public class JXYFileApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(JXYFileApplication.class, args);
        System.out.println("jxy文件服务模块启动成功   ლ(´ڡ`ლ)ﾞ  \n");
    }
}
