package com.jxy.marketall.config.mongodb;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.data.mongodb.core.MongoTemplate;

/**
 * @Description TODO
 * @Date 2023/4/17 18:48
 * @Author 杜懿
 */
@Configuration
@ConfigurationProperties("spring.data.mongodb.border")
public class BorderMongoDbConfig extends AbstractMongoDbConfig{

    @Bean(name = "borderMongoTemplate")
    @Override
    public MongoTemplate getMongoTemplate() {
        return new MongoTemplate(mongoDatabaseNoUserFactory());
    }
}
