package com.jxy.marketall.dto;

import com.alibaba.nacos.shaded.com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class DataDto implements Serializable {

    /** id */
    private int id;

    /** 其他参数 */
    private String param;

    /** 时间 */
    @SerializedName(value = "time" ,alternate = {"date"})
    private Date time;

    /** 数据值 */
    private Object value;

}
