package com.jxy.marketall.dto;

import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Field;
import org.springframework.data.mongodb.core.mapping.MongoId;

import java.io.Serializable;
import java.util.Date;

/**
 * @author duyi
 * @create 2022-07-27 11:20
 */
@Data
public class DayBalanceDto implements Serializable {

    @MongoId
    private String id;

    @Field("unixdt")
    private String dateTime;

    @Field("day_0")
    private Integer day0;

    @Field("day_1")
    private Integer day1;

    @Field("day_2")
    private Integer day2;

    @Field("day_3")
    private Integer day3;

    @Field("day_4")
    private Integer day4;

    @Field("day_5")
    private Integer day5;

    @Field("day_6")
    private Integer day6;

    @Field("day_7")
    private Integer day7;

    @Field("day_15")
    private Integer day15;

    @Field("day_30")
    private Integer day30;

    @Field("day_60")
    private Integer day60;

    @Field("day_90")
    private Integer day90;

    @Field("day_180")
    private Integer day180;

    @Field("day_360")
    private Integer day360;

    @Field("day_540")
    private Integer day540;

    @Field("day_720")
    private Integer day720;

    @Field("day_1080")
    private Integer day1080;

    @Field("day_1440")
    private Integer day1440;

    @Field("day_1880")
    private Integer day1880;

    @Field("day_2160")
    private Integer day2160;

    @Field("day_2520")
    private Integer day2520;

    @Field("day_2880")
    private Integer day2880;

    @Field("day_3240")
    private Integer day3240;

    @Field("day_3600")
    private Integer day3600;

    @Field("day_3960")
    private Integer day3960;
}
