package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author duyi
 * @create 2022-07-27 11:20
 */

@Data
public class NDAQOHLCDto implements Serializable {

    private Date date;

    /** 开盘价 */
    private double openPrice;

    /** 闭盘价 */
    private double closePrice;

    /** 最高价  */
    private double highestPrice;

    /** 最低价 */
    private double lowestPrice;

    /** 交易量  */
    private double amount ;

    /** preClose  */
    private double preClose ;

    /** 涨跌幅（百分比）*/
    private double netChangeRatio;

    /** 涨跌额（美元）  */
    private double increase;

}
