package com.jxy.marketall.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description TODO
 * @Date 2022/7/18 11:47
 * @Author 杜懿
 */
@Data
@ApiModel("地址返回值")
public class NewAddressDto {

    private int id;

    @ApiModelProperty(value = "日期")
    private Date dateTime;

    private int total;

    @ApiModelProperty(value = "活跃地址数")
    private int active;

    @ApiModelProperty(value = "发送地址数")
    private int sendCount;

    @ApiModelProperty(value = "接收地址数")
    private int receiveCount;

    @ApiModelProperty(value = "日交易量")
    private Double volume;

}
