package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class RCapAndMCapDto implements Serializable {

    /** 时间 */
    private Date date;

    /** 已实现流通市值rcap */
    private BigDecimal rcap;

    /** 流通市值marketcap */
    private BigDecimal marketcap;
}
