package com.jxy.marketall.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description TODO
 * @Date 2022/6/20 17:44
 * @Author 杜懿
 */
@Data
public class BiAn implements Serializable {

    @TableId(type = IdType.AUTO)
    private int id = 1;

    @TableField("open_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date openTime;

    @TableField("open_price")
    private Double openPrice;

    @TableField("high_price")
    private Double highPrice;

    @TableField("low_price")
    private Double lowPrice;

    @TableField("close_price")
    private Double closePrice;

    private Double volume;

    @TableField("close_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date closeTime;

    private Double quality;

    private Double num;

    @TableField("buy_volume")
    private Double buyVolume;

    @TableField("buy_quality")
    private Double buyQuality;

    private String symbol;
}
