package com.jxy.marketall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description TODO
 * @Date 2022/7/18 11:47
 * @Author 杜懿
 */
@TableName("bigsell")
@Data
public class BigSell {

    @TableId(type = IdType.AUTO)
    private int id;

    @TableField("unixdt")
    private Date dateTime;

    @TableField("days_earliest")
    private int daysEarliest;

    @TableField("days_latest")
    private int daysLatest;

    @TableField("days_largest")
    private int daysLargest;

    @TableField("days_current")
    private int daysCurrent;

    @TableField("buyPrice")
    private  Double buyprice;

    @TableField("sellPrice")
    private  Double sellprice;

    private  Double amount;

    private  Double profit;

    private String address;

    @TableField("txid")
    private String txId;

    private int height;

}
