package com.jxy.marketall.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 纳斯达克
 * @Date 2022/5/20 11:09
 * @Author 杜懿
 */
@Data
public class NDAQ implements Serializable {

    /** id */
    private int id;

    /** 时间 */
    private Date date;

    private double open_price;

    private double close_price;

    private double high_price;

    private double low_price;

    private double volume;

    private double amount;

    private double preClose;

    private double netChangeRatio;

    private double turnoverratio;

    private double increase;

    public NDAQ(int id, Date date, double open_price, double close_price, double high_price, double low_price, double volume, double amount, double preClose, double netChangeRatio, double turnoverratio, double increase) {
        this.id = id;
        this.date = date;
        this.open_price = open_price;
        this.close_price = close_price;
        this.high_price = high_price;
        this.low_price = low_price;
        this.volume = volume;
        this.amount = amount;
        this.preClose = preClose;
        this.netChangeRatio = netChangeRatio;
        this.turnoverratio = turnoverratio;
        this.increase = increase;
    }
}
