package com.jxy.marketall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description TODO
 * @Date 2022/7/18 11:47
 * @Author 杜懿
 */
@TableName("newaddrs")
@Data
public class NewAddress {

    @TableId(type = IdType.AUTO)
    private int id;

    @TableField("unixdt")
    private Date dateTime;

    private int total;

    private  Double amount;

    /** 活跃地址数 */
    private int active;

    /** 发送地址数 tx */
    @TableField("tx")
    private int sendCount;

    /** 接收地址数 rx*/
    @TableField("rx")
    private int receiveCount;

    /** 日交易量 volume*/
    @TableField("volume_change")
    private Double volume;

}
