package com.jxy.marketall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author duyi
 * @create 2022-07-27 11:20
 */

@TableName("utxosv1")
@Data
public class Utxos implements Serializable {

    @TableField("unixdt")
    private Date dateTime;

    @TableField("total_address")
    private int totalAddress;

    @TableField("total_balance")
    private  Double totalBalance;

    @TableField("total_rcap")
    private  Double totalRcap;

    @TableField("miner_address")
    private int minerAddress;

    @TableField("miner_balance")
    private  Double minerBalance;

    @TableField("balance_0")
    private int balance0;

    @TableField("balance_001")
    private int balance001;

    @TableField("balance_01")
    private int balance01;

    @TableField("balance_1")
    private int balance1;

    @TableField("balance_10")
    private int balance10;

    @TableField("balance_100")
    private int balance100;

    @TableField("balance_1000")
    private int balance1000;

    @TableField("balance_10000")
    private int balance10000;


}
