package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jxy.common.datasource.annotation.BTCDB;
import com.jxy.marketall.dto.CountDto;
import com.jxy.marketall.entity.BTCBigAmountVout;
import com.jxy.marketall.vo.BTCVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description btc大额交易mapper
 * @Date 2022/6/22 11:36
 * @Author 杜懿
 */
@BTCDB
public interface BTCBigAmountVoutMapper extends BaseMapper<BTCBigAmountVout> {

    public List<CountDto> selectDayCountList();

    public BTCBigAmountVout getLastBigAmountVout();

    public IPage<BTCBigAmountVout> getBTCBigAmountVoutDtoList(Page<BTCBigAmountVout> page,@Param("vo") BTCVo vo);

    public long getBTCBigAmountVoutDtoList_COUNT(@Param("vo") BTCVo vo);
}
