package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jxy.common.datasource.annotation.BiAnDb;
import com.jxy.marketall.dto.BiAnClosePriceAndValueDto;
import com.jxy.marketall.entity.BiAn;
import com.jxy.marketall.vo.BiAnVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2022/6/20 17:36
 * @Author 杜懿
 */
@BiAnDb
public interface BiAnMapper extends BaseMapper<BiAn> {

    /**
     * 条件查询数据库  时间间隔为分
     * @param biAnVo
     * @return
     */

    public List<BiAn> selectShortTimeDataByCondition(@Param("biAnVo") BiAnVo biAnVo);

    public BiAn selectFirstData(@Param("biAnVo") BiAnVo biAnVo);

    public List<BiAnClosePriceAndValueDto> selectDataByClosePrice(@Param("biAnVo") BiAnVo biAnVo);

}
