package com.jxy.marketall.mapper;

import com.jxy.common.datasource.annotation.Binance;
import com.jxy.marketall.dto.DateBigDecimalDto;
import com.jxy.marketall.dto.ExchangeTempDto;
import com.jxy.marketall.vo.BourseVo;
import com.jxy.marketall.vo.TimeZoneVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Binance
public interface ExchangeMapper {

    public List<ExchangeTempDto> getFundingRateByTime(@Param("vo") BourseVo vo);

    public List<ExchangeTempDto> getOpenInterestByTime(@Param("vo") BourseVo vo);

    public List<ExchangeTempDto> getTakerLongShortRatioByTime(@Param("vo") BourseVo vo);

}











