package com.jxy.marketall.mapper;


import com.jxy.common.datasource.annotation.BTCNoChainDB;
import com.jxy.marketall.dto.DateBigDecimalDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@BTCNoChainDB
public interface ExchangeV2Mapper {

    public List<DateBigDecimalDto> getBTCBuyPowerByTimeZone(@Param("field") String field);

    public List<DateBigDecimalDto> getETHBuyPowerByTimeZone(@Param("field") String field);


}
