package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jxy.common.datasource.annotation.BTCDB;
import com.jxy.marketall.dto.HolderBalanceDto;
import com.jxy.marketall.entity.HolderBalance;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.Param;

@BTCDB
public interface HolderBalanceMapper extends BaseMapper<HolderBalance>{

    HolderBalanceDto getNewHolderBalance();

    HolderBalanceDto getHolderBalanceByTime(@Param("vo") QueryVo vo);
}
