package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jxy.common.datasource.annotation.ETHDB;
import com.jxy.marketall.dto.ETHMintedCountDto;
import com.jxy.marketall.dto.USDMintedDto;
import com.jxy.marketall.vo.ETHMintedVo;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@ETHDB
public interface USDMapper{

    public List<ETHMintedCountDto> getDailyMinted(@Param("vo") QueryVo vo,@Param("coin") String coin);

    public List<USDMintedDto> getETHMintedList(@Param("vo") ETHMintedVo vo);

    public List<USDMintedDto> getETHMintedListToAddr(@Param("vo") ETHMintedVo vo);
}
