package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.dto.BiAnWSDto;
import com.jxy.marketall.entity.BiAn;
import com.jxy.marketall.vo.BiAnVo;
import com.jxy.marketall.vo.BianceVolumeVo;
import com.jxy.marketall.vo.BourseVo;
import com.jxy.marketall.vo.TZVo;

import java.util.List;


/**
 * @Description 币安服务类
 * @Date 2022/6/20 17:40
 * @Author 杜懿
 */
public interface BiAnService extends IService<BiAn>{

    /**
     * 条件查询
     * @param biAnVo
     * @return
     */
    //public AjaxResult findDataByCondition(BiAnVo biAnVo);

    /**
     * 获取接口第一次请求时间之后的数据库数据 实时数据
     * @param biAnVo
     * @return
     */
    public List<BiAn> getRealTimeData(BiAnVo biAnVo);

    public AjaxResult getTotalValueList(BianceVolumeVo vo);

    /***
     * 查询K线数据
     * @param vo
     * @return
     */
    public AjaxResult getKLine(BourseVo vo);
}
