package com.jxy.marketall.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Description eth大额交易查询条件
 * @Date 2022/5/19 17:17
 * @Author 杜懿
 */
@Data
public class ETHMintedVo extends QueryVo{

    /** 最大数额 */
    private double amount;

    /** 交易地址 接收或发起 */
    private String address;

    /** 交易id */
    private String txid;

    private String action="mint";

    private String coin;

    private String total;

    //起始页数 默认为1
    private Integer page=1;


    //分页大小 默认50
    private Integer size=50;


}
