package com.jxy.marketall.vo;

import lombok.Data;

/**
 * @Description USDC大额交易查询条件
 * @Date 2022/5/19 17:17
 * @Author 杜懿
 */
@Data
public class ETHTokenVo extends QueryVo{

    /** 最大数额 */
    private double amount;

    /** 发起地址 */
    private String address;

    private String abbr;

    private String total;

    /** 交易id */
    private String txId;

    //起始页数 默认为1
    private Integer page=1;

    //分页大小 默认50
    private Integer limit=50;


}
