package com.jxy.marketall.vo;

import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * @Description eth大额交易查询条件
 * @Date 2022/5/19 17:17
 * @Author 杜懿
 */
@Data
public class ETHVo extends QueryVo{

    /** 最大数额 */
    private double amount;

    /** 地址 */
    private String address;

    private String total;

    /** 交易id */
    private String txId;


    //起始页数 默认为1
    private Integer page=1;

    //分页大小 默认50
    private Integer limit=50;


}
