package com.jxy.marketall.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;

/**
 * @Description acticeAdderss查询条件
 * @Date 2022/5/19 17:17
 * @Author 杜懿
 */
@Data
@ApiModel(description = "接口请求参数")
public class RequestVo {

    /** 请求地址 */
    @ApiModelProperty(value = "请求具体接口名：")
    private String req;

    /** 过滤范围 */
    private String radius;

    /** 起始时间 */
    private String start;

    /** 截止时间 */
    private String end;

}
