package com.jxy.order;

import com.jxy.common.security.annotation.EnableCustomConfig;
import com.jxy.common.security.annotation.EnableJXYFeignClients;
import com.jxy.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Description TODO
 * @Date 2023/5/4 14:31
 * @Author 杜懿
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableJXYFeignClients
@SpringBootApplication
public class JXYOrderApplication {
    public static void main(String[] args) {
        SpringApplication.run(JXYOrderApplication.class,args);
        System.out.println("订单支付微服务启动成功");
    }
}
