package com.jxy.order.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class OnChainMsgByAddressDto {


    /** 收款地址 */
    @JSONField(name = "to")
    private String address;

    @JSONField(name = "from")
    private String from;

    /**  */
    private String txid;

    /** 充值订单状态*/
    private BigDecimal amount;


    @JSONField(format = "dd/MM/yyyy HH:mm:ss",name = "timestamp")
    private Date time;

}

