package com.jxy.order.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class OnChainMsgByTxidDto {

    @JSONField(name = "from")
    private String from;

    @JSONField(format = "dd/MM/yyyy HH:mm:ss",name = "timestamp")
    private Date time;

    /**  */
    private String txid;

    /** 收款地址 */
    private Map<String,BigDecimal> addressAmountMap;


}

