package com.jxy.order.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description TODO
 * @Date 2023/5/4 15:47
 * @Author 杜懿
 */
@Data
public class WithdrawDetailDto {

    private Long id;

    private Long userId;

    private String email;

    private BigDecimal amount;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String chain;

    private BigDecimal balance;

    /** 用户个人收款钱包地址 */
    private String appliedAddress;

    /** 用户绑定的钱包地址 */
    private String userAddress;

    private Date appliedTime;

    private BigDecimal refund;

    private Date refundTime;

    private String refundTxid;

    /** 用户绑定的钱包地址 实退地址*/
    private String refundAddress;

    private String message;

}





