package com.jxy.order.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description TODO
 * @Date 2023/5/6 10:30
 * @Author 杜懿
 */
@Data
public class UserBalance {

    /** id */
    private long id;

    /** 对应用户的id */
    private long userId;

    private String txid;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String chain;

    private BigDecimal balanceUSDT = BigDecimal.valueOf(0);

    private BigDecimal balanceUSDC= BigDecimal.valueOf(0);

    private BigDecimal balanceBUSD= BigDecimal.valueOf(0);

    /** 余额单记录状态 */
    private int notes;

    private Date updateTime;

    private String message;
}

