package com.jxy.order.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class OrderChangeByTxidVo {


    /** 订单id */
    private long orderId;

    /** 支付的交易id由用户支付后提供 */
    private String txid;

    /** 币种 */
    @NotNull
    private String coin;

    /** 支付网络 */
    @NotNull
    private String chain;

    /** 收款地址 */
    private String address;


}

