package com.jxy.order.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description TODO
 * @Date 2023/5/4 15:47
 * @Author 杜懿
 */
@Data
public class OrderQueryVo {

    /** 购买的会员类型 0月度付费 1年度付费 2年度VIP */
    private int type=0;

    private String userName;

    private String amount;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String payNet;

    /** 收款地址 */
    private String address;

    /** 支付的交易id由用户支付后提供 */
    private String txid;

    private String status;
}
