package com.jxy.order.vo;

import cn.hutool.core.annotation.Alias;
import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

/**
 * @Description 接口请求基础信息
 * @Date 2022/5/27 10:52
 * @Author 杜懿
 */
@Data
public class StatusPageVo {

    //起始页数 默认为1
    @JsonAlias("page")
    private Integer pageNum=1;

    //分页大小 默认50
    @JsonAlias("limit")
    private Integer pageSize=50;

    private Integer status;

    private Long userId;

}
