package com.jxy.system.entity;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Description TODO
 * @Date 2023/1/30 11:37
 * @Author 杜懿
 */
@Data
public class StrategyResetPwdBody {

    /** 用户名或邮箱 */
    @NotNull
    private String userName;

    /** 密码 */
    @NotNull
    @Length(min = 5,max = 16 ,message = "原密码格式有误，密码位数5-16")
    private String oldPassword;

    @NotNull
    @Length(min = 5,max = 16 ,message = "新密码格式有误，密码位数5-16")
    private String newPassword;
}
