package com.jxy.windminer;

import com.jxy.common.security.annotation.EnableCustomConfig;
import com.jxy.common.security.annotation.EnableJXYFeignClients;
import com.jxy.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Description TODO
 * @Date 2023/9/12 15:00
 * @Author 杜懿
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableJXYFeignClients
@SpringBootApplication
@MapperScan("com.jxy.windminer.mapper")
public class WindminerApplication {

    public static void main(String[] args) {
        SpringApplication.run(WindminerApplication.class,args);
        System.out.println("windminer微服务启动成功");
    }
}
