package com.jxy.windminer.vo;

import lombok.Data;

/**
 * @Description 指标查询条件
 * @Date 2022/5/19 17:17
 * @Author 杜懿
 */
@Data
public class TicketVo {

    private String userName;

    private String email;

    /** 机器型号 */
    private String model;

    /** 序列号 */
    private String serialNo;

    private String buyDate;

    /** 快递单号   */
    private String trackingId;

    /** 故障现象   */
    private String fault;

    /** 故障描述   */
    private String desc;


    /** 附件标号 逗号分隔*/
    private String files;

}
