package com.jxy.auth.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description 用户登录对象
 * @Date 2022/5/12 16:13
 * @Author 杜懿
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EmailCodeEntity implements Serializable {

    /** 用户名或邮箱 */
    private String userName;

    /** 邮箱 */
    private String email;

    private String emailCode;

    private int times;
}
