package com.jxy.common.log.enums;

/**
 * @Description 业务操作类型
 * @Date 2022/5/11 14:20
 * @Author 杜懿
 */
public enum BusinessType {

    /** 其它 */
    OTHER,

    /** 新增 */
    INSERT,

    /** 修改 */
    UPDATE,

    /** 删除 */
    DELETE,

    /** 授权 */
    GRANT,

    /** 导出 */
    EXPORT,

    /** 导入 */
    IMPORT,

    /** 强退 */
    FORCE,

    /** 清空数据 */
    CLEAN,

    //Todo 根据需求再增加业务操作类型
}
