package com.jxy.common.log.service;

import com.jxy.common.core.constant.SecurityConstants;
import com.jxy.system.api.RemoteLogService;
import com.jxy.system.api.entity.SysOperLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * @Description 异步调用日志
 * @Date 2022/5/11 10:08
 * @Author 杜懿
 */
@Service
public class AsyncLogService {

    @Autowired
    private RemoteLogService remoteLogService;

    /**
     * 保存系统日志记录
     */
    @Async
    public void saveSysLog(SysOperLog sysOperLog)
    {
        remoteLogService.saveLog(sysOperLog, SecurityConstants.INNER);
    }


}
