package com.jxy.common.security.annotation;

import java.lang.annotation.*;

/**
 * @Description 内部认证注解
 * @Date 2022/5/13 16:16
 * @Author 杜懿
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface InnerAuth {

    /**
     * 是否校验用户信息
     */
    boolean isUser() default false;

}
