package com.jxy.binance;

import com.jxy.common.security.annotation.EnableCustomConfig;
import com.jxy.common.security.annotation.EnableJXYFeignClients;
import com.jxy.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Description TODO
 * @Date 2023/2/5 1:31
 * @Author 杜懿
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableJXYFeignClients
@SpringBootApplication
@MapperScan("com.jxy.binance.mapper")
public class JXYBinanceApplication {

    public static void main(String[] args) {
        try {
            SpringApplication.run(JXYBinanceApplication.class);
            System.out.println("jxy-binance启动成功");
        }catch (Exception e){
            System.out.println(e);
        }
    }
}
