package com.jxy.marketall.controller;

import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.service.MarketallService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Description 统一请求接口
 * @Date 2022/5/27 9:54
 * @Author 杜懿
 */
@RestController
@RequestMapping("/test")
public class TestController {

    @Autowired
    private MarketallService marketallService;

    @GetMapping("/list")
    public AjaxResult list(){

        return  marketallService.getNewDataList();

    }
}
