package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class BiAnWSDto implements Serializable {

    /** 时间 */
    private Date date;

    private Date openTime;

    private Date closeTime;

    private String symbol;

    private BigDecimal closePrice;

    private BigDecimal openPrice;

    private BigDecimal highPrice;

    private BigDecimal lowPrice;

    private BigDecimal volume;

    private BigDecimal quality;

    private BigDecimal buyVolume;

    private BigDecimal buyQuality;

    private BigDecimal num;

    private BigDecimal changeRate;
}
