package com.jxy.marketall.dto;

import com.alibaba.nacos.shaded.com.google.gson.annotations.SerializedName;
import com.jxy.marketall.entity.CoinMarketData;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class CoinPriceListDto implements Serializable {

    /** id */
    private int id;

    /** 其他参数 */
    private String param;

    /** 数据值 */
    private Object value;

    /** 时间 */
    private Date time;

    private List<CoinMarketData> list;
}
