package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class ETHAddressDto implements Serializable {

    /** 时间 */
    private Date date;

    /** 活跃地址数 */
    private BigDecimal activeAddress;

    /** 发送地址数 */
    private BigDecimal sendAddress;

    /** 接收地址数 */
    private BigDecimal receiveAddress;

    private BigDecimal price;
}
