package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class NBohlcDto implements Serializable {

    /** 时间 */
    private Date date;

    private double volume;

    /** NDAQ ohlc */
    private double ndaqOpenPrice;

    private double ndaqHighPrice;

    private double ndaqLowPrice;

    private double ndaqClosePrice;

    /** BTC ohlc */
    private double btcOpenPrice;

    private double btcHighPrice;

    private double btcLowPrice;

    private double btcClosePrice;

}
