package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author duyi
 * @create 2022-07-27 11:20
 */

@Data
public class NDAQMaDto implements Serializable {

    private Date date;

    /** 5日移动平均线交易量 */
    private Long ma5Vol;

    /** 5日移动平均线均价 */
    private double ma5Price;

    /** 10日移动平均线交易量 */
    private Long ma10Vol;

    /** 10日移动平均线均价 */
    private double ma10Price;

    /** 20日移动平均线交易量 */
    private Long ma20Vol;

    /** 20日移动平均线均价 */
    private double ma20Price;

}
