package com.jxy.marketall.dto;

import com.alibaba.nacos.shaded.com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.Date;

/**
 * @Description 每日币价K值返回类型
 * @Date 2022/6/2 9:52
 * @Author 杜懿
 */
@Data
public class OHLCPriceAccountDto {

    /** id */

    private int id;

    /** 时间 */
    private String time;

    /** 开盘价 */
    private double openPrice;

    /** 闭盘价 */
    private double closePrice;

    /** 最高价  */
    private double highestPrice;

    /** 最低价 */
    private double lowestPrice;
}
