package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class SoprDto implements Serializable {

    /** 时间 */
    private Date date;

    /** 已花费输出盈利比 */
    private BigDecimal sopr;

    /** 已花费输出盈利比(短时交易消除) */
    private BigDecimal asopr;

    /** 已花费输出盈利比(找零消除) */
    private BigDecimal easopr;

    /** 长持者已花费输出盈利比 */
    private BigDecimal lthsopr;

    /** 短持者已花费输出盈利比 */
    private BigDecimal sthsopr;

    private BigDecimal price;
}
