package com.jxy.marketall.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2022/5/30 11:17
 * @Author 杜懿
 */
@Data
public class T1OHLCDto implements Serializable {

    /** id */
    private int id;

    /** 其他参数 */
    private String name;

    /** 时间 */
    private Date date;

    /** 开盘价 */
    private double openPrice;

    /** 闭盘价 */
    private double closePrice;

    /** 最高价  */
    private double highPrice;

    /** 最低价 */
    private double lowPrice;
}
