package com.jxy.marketall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description 单个区块每日交易情况
 * @Date 2022/7/18 11:47
 * @Author 杜懿
 */
@TableName("dailybuysell")
@Data
public class DailyBuySell {

    @TableId(type = IdType.AUTO)
    private int id;

    @TableField("unixdt")
    private Date dateTime;

    private  Double price;

    @TableField("buyvolume")
    private Double buyVolume;

    @TableField("sellvolume")
    private Double sellVolume;

    @TableField("sellprofit")
    private String profit;

    private int height;

}
