package com.jxy.marketall.entity;

import lombok.Data;

import java.util.Date;

/**
 * @Description OHLCprice
 * @Date 2022/5/19 15:57
 * @Author 杜懿
 */
@Data
public class OHLCprice {

    /** id */
    private int id;

    /** 时间 */
    private Date date;

    private double openPrice;

    private double closePrice;

    private double highestPrice;

    private double lowestPrice;

    public OHLCprice(int id, Date date, double openPrice, double closePrice, double highestPrice, double lowestPrice) {
        this.id = id;
        this.date = date;
        this.openPrice = openPrice;
        this.closePrice = closePrice;
        this.highestPrice = highestPrice;
        this.lowestPrice = lowestPrice;
    }
}
