package com.jxy.marketall.enums;

/**
 * @Description 每日币价K线查询范围条件
 * @Date 2022/6/1 11:38
 * @Author 杜懿
 */
public enum OHLCpriceCoinType {

    BTC("0","BTC"),
    ETH("1","ETH"),
    LTC("2","LTC"),
    AAVE("3","AAVE"),
    ABT("4","ABT"),
    AMPL("5","AMPL"),
    ANT("6","ANT"),
    ARMOR("7","ARMOR"),
    BADGER("8","BADGER"),
    BAL("9","BAL"),
    BAND("10","BAND"),
    BAT("11","BAT"),
    BIX("12","BIX"),
    BNT("13","BNT"),
    BOND("14","BOND"),
    BRD("15","BRD"),
    BUSD("16","BUSD"),
    BZRX("17","BZRX"),
    CELR("18","CELR"),
    CHSB("19","CHSB"),
    CND("20","CND"),
    COMP("21","COMP"),
    CREAM("22","CREAM"),
    CRO("23","CRO"),
    CRV("24","CRV"),
    CVC("25","CVC"),
    CVP("26","CVP"),
    DAI("27","DAI"),
    DDX("28"," DDX"),
    DENT("29"," DENT"),
    DGX("30","DGX"),
    DHT("31","DHT"),
    DMG("32","DMG"),
    DODO("33","DODO"),
    DOUGH("34","DOUGH"),
    DRGN("35","DRGN"),
    ELF("36","ELF"),
    ENG("37","ENG"),
    ENJ("38","ENJ"),
    EURS("39","EURS"),
    FET("40","FET"),
    FTT("41","FTT"),
    FUN("42","FUN"),
    GNO("43","GNO"),
    GUSD("44","GUSD"),
    HEGIC("45","HEGIC"),
    HOT("46","HOT"),
    HPT("47","HPT"),
    HT("48","HT"),
    HUSD("49","HUSD"),
    INDEX("50","INDEX"),
    KCS("51","KCS"),
    LAMB("52","LAMB"),
    LBA("53","LBA"),
    LDO("54","LDO"),
    LEO("55","LEO"),
    LINK("56","LINK"),
    LOOM("57","LOOM"),
    LRC("58","LRC"),
    MANA("59","MANA"),
    MATIC("60"," MATIC"),
    MCB("61","MCB"),
    MCO("62","MCO"),
    MFT("63","MFT"),
    MIR("64","MIR"),
    MKR("65","MKR"),
    MLN("66","MLN"),
    MTA("67","MTA"),
    MTL("68","MTL"),
    MX("69","MX"),
    NDX("70","NDX"),
    NEXO("71","NEXO"),
    NFTX("72","NFTX"),
    NMR("73","NMR"),
    NSURE("74","Nsure"),
    OCEAN("75","OCEAN"),
    OKB("76","OKB"),
    OMG("77","OMG"),
    PAY("78","PAY"),
    PERP("79","PERP"),
    PICKLE("80","PICKLE"),
    PNK("81","PNK"),
    PNT("82","PNT"),
    POLY("83","POLY"),
    POWR("84","POWR"),
    PPT("85","PPT"),
    QASH("86","QASH"),
    QKC("87","QKC"),
    QNT("88","QNT"),
    RDN("89","RDN"),
    REN("90","REN"),
    REP("91","REP"),
    RLC("92","RLC"),
    ROOK("93","ROOK"),
    RPL("94","RPL"),
    RSR("95","RSR"),
    SAI("96","SAI"),
    SAN("97","SAN"),
    SNT("98","SNT"),
    SNX("99","SNX"),
    STAKE("100","STAKE"),
    STORJ("101","STORJ"),
    SUSD("102","sUSD"),
    SUSHI("103","SUSHI"),
    TEL("104","TEL"),
    TOP("105","TOP"),
    UBT("106","UBT"),
    UMA("107","UMA"),
    UNI("108","UNI"),
    USDC("109","USDC"),
    USDK("110","USDK"),
    USDP("111","USDP"),
    USDT("112","USDT"),
    UTK("113","UTK"),
    VERI("114","VERI"),
    WABI("115","WaBi"),
    WAX("116","WAX"),
    WBTC("117","WBTC"),
    WETH("118","WETH"),
    WNXM("119","wNXM"),
    WTC("120","WTC"),
    YAM("121","YAM"),
    YFI("122","YFI"),
    ZRX("123","ZRX");

    private final String code;
    private final String info;

    OHLCpriceCoinType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }


}
