package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.entity.Arh99;
import com.jxy.marketall.entity.Arh99Day;
import com.jxy.marketall.vo.QueryVo;

import java.util.Date;


/**
 * @Description Arh99Day服务类
 * @Date 2022/6/20 17:40
 * @Author 杜懿
 */
public interface Arh99DayService extends IService<Arh99Day> {

    /***
     * 查询近24小时内最新Arh99(按分钟返回)
     * @param
     * @return
     */
    public AjaxResult findArh99Day();


}
