package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.common.datasource.annotation.BTCDB;
import com.jxy.marketall.dto.BTCBigAmountVoutDto;
import com.jxy.marketall.entity.BTCBigAmountVout;
import com.jxy.marketall.vo.BTCBigTxCountVo;
import com.jxy.marketall.vo.BTCVo;

import java.util.List;


/**
 * @Description btc大额交易服务类
 * @Date 2022/6/21 11:28
 * @Author 杜懿
 */
@BTCDB
public interface BTCBigAmountVoutService extends IService<BTCBigAmountVout> {

    /***
     * 条件查询btc大额交易
     * @param btcVo
     * @return
     */
    public AjaxResult findBTCBigAmountVoutByBTCVo(BTCVo btcVo);

    /***
     * 查询btc大额交易数量
     * @param vo
     * @return
     */
    public AjaxResult findBTCBigAmountVoutByTime(BTCBigTxCountVo vo);

}
