package com.jxy.marketall.service;

import com.jxy.common.core.Result.R;

/**
 * @Description TODO
 * @Date 2024/03/01 14:56
 * @Author 杜懿
 */
public interface MsgPushMailService {
    /**
     * 发送纯文本邮件
     * @param to
     * @param subject
     * @param text
     */
    public void sendTextMailMessage(String to,String subject,String text);

    /**
     * 发送html邮件
     * @param to
     * @param subject
     * @param content
     */
    public void sendHtmlMailMessage(String to,String subject,String content);

    /**
     * 发送带附件的邮件
     * @param to      邮件收信人
     * @param subject 邮件主题
     * @param content 邮件内容
     * @param filePath 附件路径
     */
    public void sendAttachmentMailMessage(String to,String subject,String content,String filePath);

}
