package com.jxy.marketall.vo;

import com.jxy.common.core.web.page.Page;
import lombok.Data;

/**
 * @Description BTC大额交易查询条件
 * @Date 2022/6/22 14:17
 * @Author 杜懿
 */
@Data
public class BTCVo extends QueryVo {

    /** 最大数额 */
    private double amount;

    /** 交易接收地址 */
    private String vout;

    private String total;

    /** 交易id */
    private String txId;

    //起始页数 默认为1
    private Integer page=1;

    //分页大小 默认50
    private Integer limit=50;

}
