package com.jxy.marketall.vo;

import lombok.Data;

/**
 * @Description 订阅内容封装体
 * @Date 2022/6/22 14:17
 * @Author 杜懿
 */
@Data
public class SubscriptionContentVo{

    /** 订阅频道 具体值可以看SubscriptionChannels */
    private String channel;

    /** 指标名 */
    private String metrics;

    /** 操作符 >、>=、<、<=、=、+、- */
    private String operator;

    /** 告警阈值/告警范围  */
    private String content;

    /** 地址  用逗号拼接 最多分割出5个地址*/
    private String addresses;

    /** 告警周期 1d、realtime */
    private String cycle;

    /** 通知方式 邮箱、站内信、app*/
    private String noticeWay;



}
