package com.jxy.order.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class AddCreditOrderDto {

    private long id;

    private long userId;

    private String email;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String chain;

    private BigDecimal amount;

    /** 收款地址 */
    private String address;

    /** 支付的交易id由用户支付后提供 */
    private String txid;

    /** 充值订单状态*/
    private String status;

    private Date updateTime;

    private Date createTime;


}

