package com.jxy.order.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class OnChainQueryResultDto {


    /** 是否查询到 */
    private Boolean result;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String chain;

    /**  */
    private List<OnChainMsgByAddressDto> list;


}

