package com.jxy.order.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description TODO
 * @Date 2023/5/4 15:47
 * @Author 杜懿
 */
@Data
public class WithdrawDto {

    private Long id;

    private String email;

    private String userAddress;

    private BigDecimal appliedAmount;

    /** 币种 */
    private String coin;

    /** 支付网络 */
    private String chain;

    /** 用户收款钱包地址 */
    private String appliedAddress;

    /** 财务实退地址 */
    private String refundAddress;

    /** 实退交易hash */
    private String refundTxid;

    private Date appliedTime;

    //当前余额
    private BigDecimal usdt;

    private BigDecimal usdc;

    private BigDecimal busd;

}

