package com.jxy.order.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description 充值订单入库数据
 * @Date 2023/5/18 14:16
 * @Author 杜懿
 */
@Data
public class Consume {

    private long id;

    private long userId;

    /** 币种 */
    private String content;

    private BigDecimal amount;

    /** 充值订单状态 */
    private int state;

    private Date createTime;

}
