package com.jxy.order.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description 充值订单请求数据
 * @Date 2023/5/4 15:47
 * @Author 杜懿
 */
@Data
public class AddCreditOrderVo {

    /** 币种 */
    @NotNull
    private String coin;

    /** 支付网络 */
    @NotNull
    private String chain;

    /** 收款地址 */
    private String address;

    /** 支付的交易id由用户支付后提供 */
    private String txid;

    private Date createTime;
}
