package com.jxy.system.mapper;

import java.util.List;

/**
 * @Description 角色数据层
 * @Date 2022/6/14 17:37
 * @Author 杜懿
 */
public interface SysMenuMapper {

    /**
     * 根据用户ID查询权限
     *
     * @param userId 用户ID
     * @return 权限列表
     */
    public List<String> selectMenuPermsByUserId(Long userId);

}
